import { event } from "./event.js";
import { Actor } from "../actor.js";
import { ZodValidator } from "./validator.js";

export const createEvent = event.builder({
  validator: ZodValidator,
  metadata() {
    return {
      actor: Actor.use(),
    };
  },
});
